安装audacious 的APE插件出错

为当前最终发行版之前的所有版本提供支持
tourist
帖子: 39
注册时间: 2007-06-08 11:46
送出感谢: 0
接收感谢: 0

安装audacious 的APE插件出错

#1

帖子 tourist » 2007-06-10 17:36

根据论坛上朋友提供的APE插件安装方法,我下载了APE for audacious的插件,可现在在执行 ./configure的时候出现错误,我对linux的了解太少,希望大家帮忙看下是什么问题。谢谢

原文如下:
4、APE插件

下载地址:http://www.netswarm.net/
文件audacious-mac-0.2.1.tar.gz
./configure
make
sudo make install
安装好后,重新打开audacious,按Ctrl+P,查看插件一栏,是不是多了一项 Monkey's Audio.

控制台执行./configure 后的错误日志如下

代码: 全选

wrj@wrj-laptop:~/Desktop/audacious-mac-0.2.1$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl.exe... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no
checking for C++ compiler default output file name... 
configure: error: C++ compiler cannot create executables
See `config.log' for more details.
wrj@wrj-laptop:~/Desktop/audacious-mac-0.2.1$
tourist
帖子: 39
注册时间: 2007-06-08 11:46
送出感谢: 0
接收感谢: 0

#2

帖子 tourist » 2007-06-10 17:38

对了,执行 ./configure 后再执行 make后出现错误如下:

代码: 全选

wrj@wrj-laptop:~/Desktop/audacious-mac-0.2.1$ make
make: *** 没有指明目标并且找不到 makefile。 停止。
tourist
帖子: 39
注册时间: 2007-06-08 11:46
送出感谢: 0
接收感谢: 0

#3

帖子 tourist » 2007-06-10 17:39

config.log 日志如下:

代码: 全选

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.61.  Invocation command line was

  $ ./configure 

## --------- ##
## Platform. ##
## --------- ##

hostname = wrj-laptop
uname -m = i686
uname -r = 2.6.20-16-generic
uname -s = Linux
uname -v = #2 SMP Thu Jun 7 20:19:32 UTC 2007

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = i686
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /usr/games


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1998: checking for a BSD-compatible install
configure:2054: result: /usr/bin/install -c
configure:2065: checking whether build environment is sane
configure:2108: result: yes
configure:2173: checking for gawk
configure:2203: result: no
configure:2173: checking for mawk
configure:2189: found /usr/bin/mawk
configure:2200: result: mawk
configure:2211: checking whether make sets $(MAKE)
configure:2232: result: yes
configure:2439: checking whether to enable maintainer-specific portions of Makefiles
configure:2448: result: no
configure:2524: checking for g++
configure:2554: result: no
configure:2524: checking for c++
configure:2554: result: no
configure:2524: checking for gpp
configure:2554: result: no
configure:2524: checking for aCC
configure:2554: result: no
configure:2524: checking for CC
configure:2554: result: no
configure:2524: checking for cxx
configure:2554: result: no
configure:2524: checking for cc++
configure:2554: result: no
configure:2524: checking for cl.exe
configure:2554: result: no
configure:2524: checking for FCC
configure:2554: result: no
configure:2524: checking for KCC
configure:2554: result: no
configure:2524: checking for RCC
configure:2554: result: no
configure:2524: checking for xlC_r
configure:2554: result: no
configure:2524: checking for xlC
configure:2554: result: no
configure:2582: checking for C++ compiler version
configure:2589: g++ --version >&5
./configure: line 2590: g++: command not found
configure:2592: $? = 127
configure:2599: g++ -v >&5
./configure: line 2600: g++: command not found
configure:2602: $? = 127
configure:2609: g++ -V >&5
./configure: line 2610: g++: command not found
configure:2612: $? = 127
configure:2635: checking for C++ compiler default output file name
configure:2662: g++    conftest.cpp  >&5
./configure: line 2663: g++: command not found
configure:2665: $? = 127
configure:2703: result: 
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| 
|   ;
|   return 0;
| }
configure:2710: error: C++ compiler cannot create executables
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_env_AUDACIOUS_CFLAGS_set=
ac_cv_env_AUDACIOUS_CFLAGS_value=
ac_cv_env_AUDACIOUS_LIBS_set=
ac_cv_env_AUDACIOUS_LIBS_value=
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_F77_set=
ac_cv_env_F77_value=
ac_cv_env_FFLAGS_set=
ac_cv_env_FFLAGS_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_PKG_CONFIG_set=
ac_cv_env_PKG_CONFIG_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=mawk
ac_cv_prog_make_make_set=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/wrj/Desktop/audacious-mac-0.2.1/missing --run aclocal-1.9'
AMDEPBACKSLASH=''
AMDEP_FALSE=''
AMDEP_TRUE=''
AMTAR='${SHELL} /home/wrj/Desktop/audacious-mac-0.2.1/missing --run tar'
AR=''
AUDACIOUS_CFLAGS=''
AUDACIOUS_INPUT_PLUGIN_DIR=''
AUDACIOUS_LIBS=''
AUTOCONF='${SHELL} /home/wrj/Desktop/audacious-mac-0.2.1/missing --run autoconf'
AUTOHEADER='${SHELL} /home/wrj/Desktop/audacious-mac-0.2.1/missing --run autoheader'
AUTOMAKE='${SHELL} /home/wrj/Desktop/audacious-mac-0.2.1/missing --run automake-1.9'
AWK='mawk'
CC=''
CCDEPMODE=''
CFLAGS=''
CPP=''
CPPFLAGS=''
CXX='g++'
CXXCPP=''
CXXDEPMODE=''
CXXFLAGS=''
CYGPATH_W='echo'
DEFS=''
DEPDIR=''
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EMAIL=''
EXEEXT=''
F77=''
FFLAGS=''
GREP=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
LDFLAGS=''
LIBOBJS=''
LIBS=''
LIBTOOL=''
LN_S=''
LOCAL_AUDACIOUS_INPUT_PLUGIN_DIR=''
LTLIBOBJS=''
MAC_CXXFLAGS=''
MAC_INCLUDES=''
MAC_INSTALL_AUDACIOUS_PLUGIN_LOCALLY_FALSE=''
MAC_INSTALL_AUDACIOUS_PLUGIN_LOCALLY_TRUE=''
MAC_LIBS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEINFO='${SHELL} /home/wrj/Desktop/audacious-mac-0.2.1/missing --run makeinfo'
OBJEXT=''
PACKAGE='audacious-mac'
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
PKG_CONFIG=''
RANLIB=''
SET_MAKE=''
SHELL='/bin/bash'
STRIP=''
VERSION='0.2.1'
ac_ct_CC=''
ac_ct_CXX=''
ac_ct_F77=''
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE=''
am__fastdepCXX_TRUE=''
am__include=''
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build=''
build_alias=''
build_cpu=''
build_os=''
build_vendor=''
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE}'
dvidir='${docdir}'
exec_prefix='NONE'
host=''
host_alias=''
host_cpu=''
host_os=''
host_vendor=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='/home/wrj/Desktop/audacious-mac-0.2.1/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='mkdir -p --'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='NONE'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE_NAME ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define PACKAGE_STRING ""
#define PACKAGE_BUGREPORT ""

configure: exit 77
dsyin
帖子: 116
注册时间: 2006-03-08 22:20
送出感谢: 0
接收感谢: 0

Re: 安装audacious 的APE插件出错

#4

帖子 dsyin » 2007-06-10 17:52

先安装编译环境:
sudo apt-get install build-essential
tourist
帖子: 39
注册时间: 2007-06-08 11:46
送出感谢: 0
接收感谢: 0

#5

帖子 tourist » 2007-06-10 18:03

谢谢4楼的 dsyin 我先下载后再试下 ````呵呵
tourist
帖子: 39
注册时间: 2007-06-08 11:46
送出感谢: 0
接收感谢: 0

#6

帖子 tourist » 2007-06-10 18:16

安装好编译环境后 再次执行 ./configure

出现错误如下

代码: 全选

wrj@wrj-laptop:~/Desktop/audacious-mac-0.2.1$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for g++... g++
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of g++... gcc3
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependent libraries... pass_all
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking how to run the C++ preprocessor... g++ -E
checking for g77... no
checking for xlf... no
checking for f77... no
checking for frt... no
checking for pgf77... no
checking for cf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for xlf90... no
checking for f90... no
checking for pgf90... no
checking for pghpf... no
checking for epcf90... no
checking for gfortran... no
checking for g95... no
checking for xlf95... no
checking for f95... no
checking for fort... no
checking for ifort... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for ftn... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether  accepts -g... no
checking the maximum length of command line arguments... 32768
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking for correct ltmain.sh version... yes
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... cat: /etc/ld.so.conf.d/*.conf: No such file or directory
GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... cat: /etc/ld.so.conf.d/*.conf: No such file or directory
GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking whether make sets $(MAKE)... (cached) yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for AUDACIOUS... configure: mseek is not available. Check for old audacious...
checking for AUDACIOUS... configure: error: Package requirements (audacious >= 1.3) were not met:

No package 'audacious' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables AUDACIOUS_CFLAGS
and AUDACIOUS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

wrj@wrj-laptop:~/Desktop/audacious-mac-0.2.1$ make
make: *** 没有指明目标并且找不到 makefile。 停止。
包的路径没找到吗?我的audacious是直接从源上装好的 版本是1.2.2 和这个有关系吗??
头像
iblicf
帖子: 3766
注册时间: 2007-01-15 17:15
送出感谢: 0
接收感谢: 0

#7

帖子 iblicf » 2007-06-10 18:18

哥们,audacious 源码包哪里下的, ?
tourist
帖子: 39
注册时间: 2007-06-08 11:46
送出感谢: 0
接收感谢: 0

#8

帖子 tourist » 2007-06-10 18:24

iblicf 写了:哥们,audacious 源码包哪里下的, ?

我是根据这里
viewtopic.php?t=39936&highlight=audacious介绍

直接sudo apt-get install audacious
tourist
帖子: 39
注册时间: 2007-06-08 11:46
送出感谢: 0
接收感谢: 0

#9

帖子 tourist » 2007-06-10 19:34

问题未解决,小顶下`````希望论坛的朋友们再帮忙参考下
冰封尘
帖子: 162
注册时间: 2005-04-09 7:23
来自: 云南
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 冰封尘 » 2007-06-11 8:57

o package 'audacious' found
。。。。你的audacious没装?

代码: 全选

sudo apt-get install audacious
tourist
帖子: 39
注册时间: 2007-06-08 11:46
送出感谢: 0
接收感谢: 0

#11

帖子 tourist » 2007-06-11 15:27

冰封尘 写了:o package 'audacious' found
。。。。你的audacious没装?

代码: 全选

sudo apt-get install audacious


wrj@wrj-laptop:~$ sudo apt-get install audacious
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
audacious 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。


已经安装的````
tourist
帖子: 39
注册时间: 2007-06-08 11:46
送出感谢: 0
接收感谢: 0

#12

帖子 tourist » 2007-06-12 22:30

问题还是没解决 ,依旧小顶下````请论坛的朋友们帮忙看下 ```
头像
左转左转左转左
帖子: 554
注册时间: 2007-04-21 19:14
来自: 废都
送出感谢: 0
接收感谢: 0

#13

帖子 左转左转左转左 » 2007-06-12 22:50

我仔细看了一下,audacious好像是要1。3以上版本的

要不下一个最新的audadious源码来编译一下?
我是菜鸟,问出小白问题还请多多包含,砖头拍得不要太重
ubuntu 7.04 64bit
Notepad:/Acer 5112/AMD TL50 64x2(1.6GHz)/ATI Radeon X1300 (128M)/512 RAM 533/80GB 5400rpm SATA/DVD+R/DVD+-RW
qufo
帖子: 95
注册时间: 2006-04-23 16:55
送出感谢: 0
接收感谢: 0

#14

帖子 qufo » 2007-06-13 10:08

用新立得,一会儿就好。
viewtopic.php?t=59940
tourist
帖子: 39
注册时间: 2007-06-08 11:46
送出感谢: 0
接收感谢: 0

#15

帖子 tourist » 2007-06-14 15:39

qufo 写了:用新立得,一会儿就好。
viewtopic.php?t=59940
有问题的 无法用


论坛6月13日精华帖可能有用 但我无法打开那个网站


viewtopic.php?t=59920
回复

回到 “老旧版本支持”